Page MenuHomePhabricator

TemplateStyles in the Russian Wikiquote
Closed, ResolvedPublic

Description

Hey. Please add the extension TemplateStyles in Russian Wikiquote, to create a new title page. Within 7 days of objections did not arise.
Result: https://ru.wikiquote.org/wiki/Викицитатник:Форум#Добавление_нового_расширения

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
ResolvedJdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
ResolvedJdlrobson
OpenJdlrobson
OpenJdlrobson
ResolvedTgr
ResolvedUrbanecm

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 17 2018, 4:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as Normal priority.Jun 17 2018, 8:04 AM
Urbanecm added a subscriber: Deskana.

@Deskana IIRC you're the product owner for TemplateStyle. Can we process requests like this one and enable TemplateStyles when the community wants it? Are there some conditions that must be fulfilled before enabling (like already switched to Remex)? I'm going to upload a patch now and I'll wait for your agreement before scheduling for a SWAT.

Change 440722 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable TemplateStyles on ruwikiquote

https://gerrit.wikimedia.org/r/440722

OlegCinema added a comment.EditedJun 17 2018, 8:14 AM

@Urbanecm As far as I can see, Russian Wikipedia has this extension — it was added without community consensus?

@OlegCinema It was added per T188198: Enable TemplateStyles on ruwiki on 2018-04-10. It probably won't be a problem to enable it on Russian Wikiquote as well, but I must be sure before doing anything, so I'm asking to be 110 % sure.

Urbanecm lowered the priority of this task from Normal to Low.
Urbanecm raised the priority of this task from Low to Normal.Jun 17 2018, 10:45 PM

I didn't want to change the priority.

@Deskana IIRC you're the product owner for TemplateStyle. Can we process requests like this one and enable TemplateStyles when the community wants it?

Yes, absolutely! Please keep your eye out for any bugs that might come up after the deployment—there's been a few noncritical bugs that have come up in past deployments.

Ultimately, the aim is to get TemplateStyles deployed everywhere, and so I'm hoping deployments can be sped up once RemexHtml is turned on everywhere. In the mean time, if particular wikis want it turned on early, that's great.

Are there some conditions that must be fulfilled before enabling (like already switched to Remex)?

The only hard requirement is that the wiki has to use RemexHtml, yeah.

I'm going to upload a patch now and I'll wait for your agreement before scheduling for a SWAT.

Any time you're ready is fine with me.

@Urbanecm As far as I can see, Russian Wikipedia has this extension — it was added without community consensus?

Not all deployments are done by community consensus, despite what some people like to believe. In some cases, a community consensus is important, and in some cases community consensus is irrelevant. Whether community consensus is appropriate or required varies on a case by case basis.

The first deployments done here were done for testing purposes, so it's mostly done by local consensus. In the next few months, after RemexHtml is switched on everywhere, deployments will speed up, and eventually TemplateStyles will be switched on everywhere. If individual wikis don't like that, they can choose not to use the features introduced by the extension on their wikis, but it'll still be turned on there unless there are major issues.

@Deskana I don't mind, on the contrary, that expansion should be introduced in all wikis without consensus

@Deskana I don't mind, on the contrary, that expansion should be introduced in all wikis without consensus

No problem! I just wanted to make sure I was clear, because sometimes other people come along and read things like this weeks or even months down the line, and having the answer already here is helpful. :-)

Change 440859 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable TemplateStyles on ruwikiquote

https://gerrit.wikimedia.org/r/440859

Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Patchset uploaded. This week it cannot be deployed, hopefully it'll be possible the next one.

@Urbanecm I understand that it is impossible so quickly, but it can be done within 4 days? Our community just needs to refresh the title page.

Change 440859 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable TemplateStyles on ruwikiquote

https://gerrit.wikimedia.org/r/440859

Mentioned in SAL (#wikimedia-operations) [2018-06-26T13:25:18Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable TemplateStyles on ruwikiquote - T197526 (duration: 00m 57s)

hashar closed this task as Resolved.Jun 26 2018, 1:26 PM
hashar added a subscriber: hashar.
Vvjjkkii renamed this task from TemplateStyles in the Russian Wikiquote to hsaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Urbanecm; removed: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:03 AM
JJMC89 renamed this task from hsaaaaaaaa to TemplateStyles in the Russian Wikiquote.Jul 1 2018, 1:51 AM
JJMC89 closed this task as Resolved.
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 assigned this task to Urbanecm.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 440722 abandoned by Urbanecm:
Enable TemplateStyles on ruwikiquote

https://gerrit.wikimedia.org/r/440722